import { SidebarItem } from '../sidebar';
import { Bookmark } from './bookmark';
import { BookmarkPlugin } from './bookmark-plugin';
export declare class BookmarkSidebarItem extends SidebarItem {
    get bookmarkPlugin(): BookmarkPlugin;
    get bookmarkManager(): import('./bookmark-manager').BookmarkManager | undefined;
    get order(): number;
    build(): HTMLDivElement;
    protected renderList(container: HTMLElement): void;
    protected renderItem(bookmark: Bookmark): HTMLDivElement;
}
